#!/bin/bash

# List all running Linux containers
containers=$(lxc-ls -f G RUNNING | awk '{print $1}')

# Upgrade the package manager (APT) inside each container
for container in $containers; do
  echo $container
  lxc-attach -n $container -- apt update
  lxc-attach -n $container -- apt upgrade -y
done
